module InitialConditions

using UnPack

import ...Parameters as CAP
using ClimaCore: Geometry, Spaces, Fields
using ClimaAtmos: Models

using Thermodynamics
const TD = Thermodynamics

include("init_1d_ekman_column.jl")
include("init_2d_dry_bubble.jl")
include("init_2d_moist_bubble.jl")
include("init_2d_precipitating_bubble.jl")
include("init_3d_rising_bubble.jl")
include("init_3d_solid_body_rotation.jl")
include("init_3d_baroclinic_wave.jl")

end # module
